@echo off
@REM **************************************************************************
@REM Licensed Material - Property of IBM 
@REM 5724-M24
@REM Copyright IBM Corp. 2009.  All rights reserved.
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM **************************************************************************
@REM Update the portlets, migrate the preferences for instances portlet
@REM **************************************************************************

set WAS_HOME=%1
set PORTAL_CONFIG_URL=%2
set USER=%3
set PASSWORD=%4

if  "%4"==""  goto  noparameter
	goto  execute
goto  exit

:execute	
echo "Using portal config URL: %PORTAL_CONFIG_URL%"
echo "Using portal admin: %USER%"
echo "Using portal admin password: ******"

REM Don't need change
set JAVA=%WAS_HOME%\java\bin\java
set IN_FILE=%CD%\Exported_Defaultpage.xml
set IN_FILE1=%CD%\deleteDefaultPages.xml
set WPS_HOME=%CD%\..\..\..
set CLASSPATH_MON=%WPS_HOME%\base\wp.xml.client\bin\wp.xml.client.jar;%WPS_HOME%\base\wp.base\shared\app\wp.base.jar;%WAS_HOME%\lib\j2ee.jar

REM Get a complete export from portal

%JAVA% -cp %CLASSPATH_MON% com.ibm.wps.xmlaccess.XmlAccess -in %IN_FILE1% -user %USER% -pwd %PASSWORD% -url %PORTAL_CONFIG_URL% >> "%CD%\Import_DefaultPage_log.txt" 2>&1

%JAVA% -cp %CLASSPATH_MON% com.ibm.wps.xmlaccess.XmlAccess -in %IN_FILE% -user %USER% -pwd %PASSWORD% -url %PORTAL_CONFIG_URL% >> "%CD%\Import_DefaultPage_log.txt" 2>&1

goto  exit

:noparameter
	echo.
	echo  ERROR: Missing 1 or more required parameter. Script is invoked as follows:
    echo  Usage: exportDefaultPage.bat ^<WAS_HOME^> ^<portal_config_url^> ^<portal_admin^> ^<portal_pw^> 
	echo  where for example
	echo  ^<WAS_HOME^> 	c:\WebSphere\Appserver
	echo  ^<portal_config_url^> http://localhost:10040/wps/config
	echo  ^<portal_admin^> wpsadmin
	echo  ^<portal_pw^> yourpassword
	echo.
:exit