/** Licensed Materials - Property of IBM, 5724-E76 and 5724-E77, (C) Copyright IBM Corp. 2009 - All Rights reserved.  **/

if(!dojo._hasResource["com.ibm.data.APPServiceDocument"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.data.APPServiceDocument"] = true;
/*
 * @author Ben
 */ 
dojo.provide("com.ibm.data.APPServiceDocument");

dojo.require("com.ibm.xml.SimpleXmlAccessor");
dojo.require("com.ibm.query.rules.Atom");

dojo.declare("com.ibm.data.APPServiceDocument",
	null,
	{
		doc: null,
		url: "",
		namespaces: com.ibm.query.rules.Atom.namespaces,
		
		constructor: function(args) {
			dojo.mixin(this, args);
			this.acc = new com.ibm.xml.SimpleXmlAccessor({
				namespaces: this.namespaces
			});
		},
		
		destroy: function() {
			delete this.doc;
			delete this.namespaces;
			delete this.acc;
		},

		getAPPCollections: function() {
			return this.acc.select("/app:service/app:workspace/app:collection", this.doc); //XmlNodeList
		},
		getAPPCollectionsByCategory: function(/*String*/ category) {
			return this.acc.select("/app:service/app:workspace/app:collection[" +
					"app:categories/atom:category[@term='" + category + "']]", this.doc); //XmlNodeList
		},
		getAPPCollectionsByTitle: function(/*String*/ title) {
			return this.acc.select("/app:service/app:workspace/app:collection[" +
					"atom:title[. = '" + title + "']]", this.doc); //XmlNodeList
		},
		toString: function() {
			return "APPServiceDocument {" + this.url + "}";
		}
	}
);

}
