/**
 *	Copyright 2001-2002 AlphaBlox Corporation. All rights reserved.
 *
 *	Script to setup global variables 
 *	useful in filtering browser-specific code
 *
 *	@version $Revision: 8 $
 *	@author  $Author: Dmessink $
 */

// Compatibility
var userAgentIndexOfMSIE = navigator.userAgent.indexOf("MSIE");
var MSIE = (userAgentIndexOfMSIE != -1) ? true : false;
var NETSCAPE = (navigator.appName == "Netscape") ? true : false;
var GECKO = navigator.userAgent.indexOf("Gecko") >= 0;

var VERSION = navigator.userAgent.substring( userAgentIndexOfMSIE+5, userAgentIndexOfMSIE+8 );
if (NETSCAPE)
	VERSION = navigator.appVersion.substring(0,navigator.appVersion.indexOf(" "));

var MAJOR = parseInt(VERSION);
var MINOR = VERSION.substring(VERSION.indexOf(".")+1);
var DIV = (NETSCAPE) ? document.layers : document.all;
var IDS = (NETSCAPE) ? document.ids : document.all;


// This can be removed when 
// MSIE 5.x is no longer supported.
if (navigator.userAgent.indexOf("MSIE 5.") != -1
		|| navigator.userAgent.indexOf("MSIE 4") != -1
		|| navigator.userAgent.indexOf("MSIE 3") != -1) 
{

	// The net result here is MSIE 5.x-- will do concatenation while 
	// Netscape 4++/MSIE 6++ will use the native array.push() and array.join()
	Array.prototype.push = function( obj ) 
	{
		this[this.length] = obj;
	};
	
	Array.prototype.join = function( separator ) 
	{
		var temp = "";
		for (var i = 0; i < this.length; i++) 
		{	// Cast to string without calling toString() by using ""+object
			temp += (i > 0) ? ("" + separator + this[i]) : ("" + this[i]);
		}
		return temp;
	};

}

 // This is required for our support of Netscape 4.x with JS 1.3 that doesn't define these required functions.
if (window.encodeURI == null)
    window.encodeURI = window.escape;
if (window.decodeURI == null)
    window.decodeURI = window.unescape;
if (window.encodeURIComponent == null)
    window.encodeURIComponent = window.escape;
if (window.decodeURIComponent == null)
    window.decodeURIComponent = window.unescape;

function setCurrentDiv(id) {currentDiv = DIV[id];}
