<%@ page import="java.io.OutputStreamWriter,
                 java.io.StringWriter,
                 com.alphablox.server.request.DecodedServletRequest"%>
<%@ page contentType="text/html;charset=utf-8" %>
<%@ taglib uri='bloxtld' prefix='blox'%>

<!--
/*
 * IBM Confidential
 * OCO Source Materials
 * 5724-L14
 * (c) Copyright IBM Corp. 2006
 * The source code for this program is not published or otherwise divested of its trade secrets, irrespective of what has been deposited with the U.S. Copyright Office.
 */
-->

<html dir="<%= request.getParameter( "dir" ) %>" >
<head>

<blox:header debugOptions="<%= request.getParameter(\"debug\") %>" />
<base id="_dialogBase" />
<%
        // Because the incoming title is in UTF-8 and because the web server messes with
        // it, this code is neccessary to get a Unicode version of the title that can be
        // inserted into the HTML page (then translated back to UTF-8).
        DecodedServletRequest decodedRequest = new DecodedServletRequest( );
        decodedRequest.initialize(bloxRequest);
        String title = decodedRequest.getParameter("title");
        String blox = decodedRequest.getParameter("blox");
        String uid = decodedRequest.getParameter("uid");

        //fix for issue 24136, Deal will possible spoofing
        title = title.replaceAll( "[<]", "&lt;" );
        title = title.replaceAll( "[>]", "&gt;" );
        
%>
<title><%= title %></title>

<script>

var _dialogObject = null;
var _trackResize = false;

//
// opener will exist for NETSCAPE since using window.open()
// in the IE world dialogArguments is defined because a dialog is opened using showModalDialog/showModelessDialog
//
if (__engine.isGecko()){
    var opener_bloxAPI = opener.bloxAPI;
    var blox = opener_bloxAPI.getBlox('<%=blox%>');
    _dialogObject = blox._findDialog('<%=uid%>');
}else
      _dialogObject = window.dialogArguments;

function _onload( ) {

	// Symphony 22847
    if ( __engine.isGecko() ) {
		// do nothing
	}
    else {

		var winClassicThemeTitlebar = 22;
		// use this if dialogs are currently sized for XP
		var winXpThemeTitlebar = 29;

		var scrTop = parseInt(window.screenTop);
		scrTop = _isNaN(scrTop) ? 0 : scrTop;

		var dlgTop = parseInt(window.dialogTop);
		dlgTop = _isNaN(dlgTop) ? 0 : dlgTop;

		var currentTitleBar = scrTop - dlgTop;
		var sizeOffset = currentTitleBar - winClassicThemeTitlebar;

		var dlgHeight = parseInt(window.dialogHeight);
		dlgHeight = _isNaN(dlgHeight) ? 0 : dlgHeight;

		if ( sizeOffset > 0 ) {
			dlgHeight = dlgHeight + sizeOffset;
			window.dialogHeight = dlgHeight + "px";
	    }

        if ( document.body.offsetHeight - _dialogObject.clientHeight < 23 ) {
			dlgHeight = dlgHeight + 23 - (document.body.offsetHeight - _dialogObject.clientHeight);
			window.dialogHeight = dlgHeight + "px";
        }
	}

	// Set the base URL for images
    document.getElementById( "_dialogBase" ).href = _dialogObject.getBaseURL();

    bloxAPI = _dialogObject.blox.getBloxAPI();       // re-define bloxAPI
   	// window.document.title = _dialogObject.title;
   	document.getElementById( "dialogGuts" ).innerHTML = _dialogObject.contents;
    _dialogObject.setWindow( window );

    // If the dialog is the blox itself, then setup a Blox object in this window (it will NOT be registed with BloxAPI though))
    if ( _dialogObject.blox._uid == _dialogObject.uid ) {
        var __blox__ = new Blox( _dialogObject.blox.getContext(), _dialogObject.blox.getName(), _dialogObject.blox._id, _dialogObject.blox._statusuid );

        // Add the blox to the document object
        eval("document." + __blox__.getName() + " = __blox__;");
        eval("window." + __blox__.getName() + " = __blox__;");
    }

    bloxMenu.setMeasureWindow( document.getElementById( "dialog_menuMeasureDiv" ) );

    var scriptTags = document.getElementsByTagName("script");
    for (var i=0; i<scriptTags.length; i++) {
        // for gecko -- use getAttribute since "run" is not standard
        var isRun = scriptTags[i].getAttribute("run");
        if (isRun == "true") {
           eval(scriptTags[i].innerHTML);
           scriptTags[i].run = "false";
        }
    }

    if ( __engine.isGecko() )
        setTimeout( "window.focus();", 200 );

    // Start tracking after things have settled down a bit
    setTimeout( "_trackResize = true;", 250 );
}

function _isNaN( num ) {
	// cross-browser technique; cast to string for comparison
	return (""+num == ""+Number.NaN);
}

// Override this because the opener window always owns all dialog handling
function isModalDialogDisplayed( ) {
    return _dialogObject.isModalDialogDisplayed( );
}

function showSource() {
	var checkitoutMan = window.open("javascript:document.write('<XMP>'+window.opener.document.body.outerHTML+'</XMP>');document.close();","srcWin_"+( (new Date()).getTime() ).toString(),"scrollbars,resizable,width=800px,height=600px");
}

// Window closer for Gecko
function closeDialog( fastClose ) {
    if ( fastClose == true )
        window.close();
    else
        setTimeout( "window.close();", 100 );
}

function executeScripts( ) {
    // execute any script tags
    var scriptTags =  document.getElementsByTagName("script");
    var scriptRun = false;

    for (var j=0; j<scriptTags.length; j++) {
        if (scriptTags[j].getAttribute( "run" ) == "true") {
           eval( scriptTags[j].innerHTML );
           scriptTags[j].setAttribute( "run", "false" );
           scriptRun = true;
        }
    }

    // execute onload handlers
    if ( scriptRun )
        _executeOnloadMethods( );

    return scriptRun;
}

function _onunload( )
{
	try {
		if ( !_dialogObject.closed ) {
            _dialogObject.handleDialogWindowClosed( );
        }
	}
	catch ( e ) {
	}
}

var resizeTimeout = null;

function onDialogResize( ) {
    if ( !_trackResize )
        return;

    if ( resizeTimeout != null )
        clearTimeout( resizeTimeout );

    resizeTimeout = setTimeout( "reportDialogSize( );", 250 );
}

function reportDialogSize( ) {
    resizeTimeout = null;

    var width = 0;
    var height = 0;
    if (__engine.isGecko()){
        width = window.innerWidth-40;
        height = window.innerHeight-57;
    } else { // IE!!!
        width = parseInt(window.dialogWidth)-40;
        height = parseInt(window.dialogHeight)-57;
    }

    _sendEvent( new ResizeEvent( _dialogObject.blox.getName(), _dialogObject.uid, null, height, width ), false );
}

function keydown( event ) {
    switch(event.keyCode) {
        case 27:  // Escape
            bloxAPI.sendEvent( new ClickEvent( _dialogObject.blox.getName(), null, "cancel", null, event ) );
            break;
        case 112: // F1 - should bring up help if it exists for this dialog
            elements = document.getElementsByTagName("button");
            for(var i = 0; i < elements.length; i++) {
                if(elements[i].getAttribute("name").equalsIgnoreCase("help")) {
                    bloxAPI.sendEvent( new ClickEvent( _dialogObject.blox.getName(), null, "help", null, event ) );
                }
            }
            break;
        case 13:    // Enter (invoke default pushbutton)
            if ( !__engine.isGecko() )
                return;
            var buttons = document.getElementsByTagName( "button" );
            for ( var i=0; i < buttons.length; i++ ) {
                if ( buttons[i].type == "submit" ) {
                    buttons[i].focus();
                    event.stopPropagation();
                    break;
                }
            }

            break;
    }
}

//send dialog client command
var _soapDialogClientCommands = new Array();
var _soapDialogClientCommandTimer = null;
    
function addClientCommand( cmd ){
    if( _soapDialogClientCommands == null ){
	    _soapDialogClientCommands = new Array();
    }
    _soapDialogClientCommands.push( cmd );
}

// send dialog client command
function runNextSoapDialogClientCommand(){
	_soapDialogClientCommandTimer =  null ;
	if ( _soapDialogClientCommands.length > 0 ) {
		var command = _soapDialogClientCommands.shift();
	    eval( command );
	}
	if ( _soapDialogClientCommands.length > 0 ) {
	   _soapDialogClientCommandTimer = setTimeout("runNextSoapDialogClientCommand()",0);
	}
}
</script>

</head>
<body onload="_onload();" onunload="_onunload();" onkeydown="keydown( event );" class="csBckClr" style="overflow:auto;-moz-box-sizing:border-box;" onresize="onDialogResize(  );">
<!-- Since you can't view-source, use this to see what the resulting HTML is on the client
<a href="javascript:void(0)" style="font:normal 8pt Arial;line-height:1pt;margin:0px;padding:0px;" onClick="showSource();return false">show source</a>
 -->
<div class="csDlgCntnts" id=dialogGuts align="center" valign="middle"></div>
<div id="dialog_disabledMask" class="csDsbldBlxMsk" style="display:none;height:0px;width:0px;z-index:100;-moz-box-sizing:border-box;" onmousedown="return false;" onmouseup="return false;"></div>
<div id="dialog_menuMeasureDiv" style="display:none;position:absolute;visibility:hidden;left:-300px;top:-300px;z-index:1000;"></div>
</body>
</html>
