package com.ibm.alphablox.tooling.querytools;
/*
 * Copyright (c) 2003 Alphablox Corporation. All rights reserved.
 */
import com.alphablox.blox.DataBlox;
import com.alphablox.blox.event.*;

/**
 * to change the query text when the datablox changed its resultset
 * @author hujianh@cn.ibm.com
 *
 */
public class AllDataBloxEventListener extends ChangeQueryTextHandle implements AllDataListeners{
    
    public AllDataBloxEventListener(DataBlox db){
        super(db);
    }
    
    public void hideOnly(HideOnlyEvent arg0) throws Exception {
        change();
        
    }

    public void query(QueryEvent arg0) throws Exception {
        change();
    }

    public void expand(ExpandEvent arg0) throws Exception {
        change();
        
    }

    public void drillUp(DrillUpEvent arg0) throws Exception {
        change();
        
    }

    public void pivot(PivotEvent arg0) throws Exception {
        change();
        
    }

    public void showOnly(ShowOnlyEvent arg0) throws Exception {
        change();
        
    }

    public void swapAxis(SwapAxisEvent arg0) throws Exception {
        change();
        
    }

    public void memberSelect(MemberSelectEvent arg0) throws Exception {
        change();
        
    }

    public void removeOnly(RemoveOnlyEvent arg0) throws Exception {
        change();
        
    }

    public void keepOnly(KeepOnlyEvent arg0) throws Exception {
        change();
        
    }

    public void collapse(CollapseEvent arg0) throws Exception {
        change();
        
    }

    public void showAll(ShowAllEvent arg0) throws Exception {
        change();
        
    }

    public void drillDown(DrillDownEvent arg0) throws Exception {
        change();
        
    }
}