<%@ page import="com.alphablox.blox.*,
                 com.alphablox.blox.uimodel.*,
                 com.alphablox.blox.uimodel.core.*,
                 com.alphablox.blox.data.MetaData,
                 com.alphablox.blox.data.rdb.RDBMetaData,
                 com.alphablox.server.service.BloxBuilderService,
                 com.alphablox.server.service.ServiceManager,
                 com.alphablox.blox.uimodel.MemberFilterBloxModel,
                 com.alphablox.blox.uimodel.MemberFilterBrixController,
                 com.alphablox.blox.uimodel.MemberFilterBrixModel,
                 com.alphablox.blox.uimodel.memberfilter.MemberFilterComponent,
                 com.alphablox.blox.filter.MemberSelectFilter,
                 com.alphablox.blox.filter.MemberSelectEvent,
                 com.alphablox.blox.event.MemberSelectListener,
                 com.alphablox.blox.uimodel.memberfilter.MemberFilterChanged,
                 com.ibm.alphablox.bloxbuilder.common.proxy.BloxProxy,
                 com.ibm.alphablox.bloxbuilder.common.proxy.DataBloxProxy,
                 com.ibm.alphablox.bloxbuilder.tooling.querytools.QueryToolsBlox"%>
                 
<%@ page import="com.ibm.alphablox.tooling.querytools.*"%>
<!--
    IBM Confidential
    OCO Source Materials
    5724-L14
    (c) Copyright IBM Corp. 2007
    The source code for this program is not published or otherwise divested of its trade secrets,
    irrespective of what has been deposited with the U.S. Copyright Office.
-->
<jsp:useBean id="appContext" class="com.ibm.alphablox.tooling.AppContext" scope="session">
<%
  appContext.init(pageContext);
%>
</jsp:useBean>
<jsp:useBean id="queryToolsBean" class="com.ibm.alphablox.tooling.querytools.QueryDesignerBean"  scope="session" >
<%
    queryToolsBean.init(request, response, appContext);
%>
</jsp:useBean>
<jsp:useBean id="pageIntegrator" class="com.ibm.alphablox.tooling.relational.PageIntegrattor" scope="session"/>

<%@ page pageEncoding="ISO-8859-1" %> <!-- encoding this page was written in -->
<%@ page contentType="text/html;charset=UTF-8" %>  <!-- encoding for response -->
<%@ taglib uri='bloxtld' prefix='blox'%>

<html>
<head>
    <meta http-equiv="Pragma" content="no-cache">    
    <title>Query Tools: Metadata</title>
    <blox:header />
    <script language="JavaScript">
    var uid = '';
    function forceSqlEditorLostFocus()
    {
        var edt = document.getElementById( uid );
        if(edt && bloxAPI){
            try{
                edt.onchange();
                bloxAPI.flushEvents();
            }catch( exp )
            {
            }
        }
    }
    </script>
</head>
<body>
<%
    request.setCharacterEncoding("UTF-8"); // encoding for request
    final DataBlox queryToolsDataBlox = new DataBlox();
    final BloxContext context = BloxContextFactory.getBloxContext( request, response);

        //get blox proxy
    final String idPrefix = "querytools_m";
    final String uniqueId = request.getParameter("ObjectId");
    
    final BloxBuilderService manager = (BloxBuilderService) ServiceManager.getService(ServiceManager.SVC_BLOXBUILDER, null);
    final QueryToolsBlox qtBlox = (QueryToolsBlox) manager.getTempData(uniqueId);
//    System.out.println("JSP. qtBlox="+qtBlox);
    final BloxProxy proxy = qtBlox.getBloxProxy();
    
    try {
        BloxProxy defaultProxy = (BloxProxy) proxy.clone();
        AbstractBlox defaultDataBlox; //it is useless, but we cannot remove it
        defaultDataBlox = new DataBlox();
        
        // get the default properties into a default proxy
        defaultDataBlox.init(context, idPrefix + System.currentTimeMillis());
        defaultProxy.setBlox(defaultDataBlox);
        qtBlox.setDefaultBloxProxy(defaultProxy);

        //set properties of the query into the datablox
        queryToolsDataBlox.init(context, idPrefix + "d" + System.currentTimeMillis());
        proxy.setBlox(queryToolsDataBlox);

        queryToolsDataBlox.connect(false);
        
    } catch (Throwable t) {
%><h3>Error: <%=t.getClass().getName()%>: <%=t.getLocalizedMessage()%></h3><%
        t.printStackTrace();
        return;
    }
%>

<blox:container id="RMetadataContainer" width="100%" height="100%" visible="false">
<%
pageIntegrator.initContainer(RMetadataContainer,appContext);
%>
</blox:container>

<%
try{
  pageIntegrator.changeDataBlox(queryToolsDataBlox, context, appContext, qtBlox);
}catch(Exception ex){
  ex.printStackTrace();
}
%>

<blox:display bloxRef="RMetadataContainer"/>

<%
    try {
        queryToolsDataBlox.setConnectOnStartup(false);
    } catch (Throwable t) {
%><h3>Error: <%=t.getClass().getName()%>: <%=t.getLocalizedMessage()%></h3><%
        t.printStackTrace();
    }
%>

<script language="JavaScript">
    uid = 'u'+'<%= pageIntegrator.getEdtUID()%>';
</script>

</body>
</html>
