<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib uri="bloxtld" prefix="blox" %>

<blox:grid id="cwGridMSAS"
	visible="false"
	columnHeadersWrapped="true"
	autosizeEnabled="false"
 	defaultCellFormat="#,###.##K">

	<blox:data
    	dataSourceName="QCC-MSAS"
    	query=" SELECT
 DISTINCT( {[Locations].[All Locations], Descendants([Locations].[All Locations].[Central]), Descendants([Locations].[All Locations].[East])} )  ON AXIS(0)
, DISTINCT( crossjoin ( {[Time].[Calendar].[Month].AllMembers}, {[Scenario].[All Scenario]}) ) ON AXIS(1)
FROM [qcc]" />

</blox:grid>

<html>

<head>
<title>Column Wrapping</title>
<blox:header />
<link rel="stylesheet" href="/BloxSampler/styles/example.css" type="text/css">
</head>

<body>
<h2>Column Wrapping</h2>
<p>Example of column wrapping enabled using <code>columnHeadersWrapped</code> property. </p>
<br>

<blox:display bloxRef="cwGridMSAS"
	width="100%"
 	height="90%" />

<hr>
<a href="../../viewSource.jsp?file=MSAS/Presenting/columnWrapping.jsp">View Source</a>

</body>

</html>