/*
 * IBM Confidential
 * OCO Source Materials
 * 5724-L14
 *  Copyright IBM Corp. 2005
 * The source code for this program is not published or otherwise divested
 *   of its trade secrets, irrespective of what has been deposited with the
 *   U.S. Copyright Office.
 */

package fastforward;


public class TemplateException extends Exception {

    public TemplateException(String message) {
        super( message );
    }

    public TemplateException(String message, Exception nestedException) {
        super(message);
        initCause(nestedException);
    }

    public TemplateException(Exception nestedException) {
        super(nestedException.getMessage());
        initCause(nestedException);
    }
}
