/** Licensed Materials - Property of IBM, 5724-E76 and 5724-E77, (C) Copyright IBM Corp. 2009 - All Rights reserved.  **/

if(!dojo._hasResource["com.ibm.portal.dnd.PortletSource"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.portal.dnd.PortletSource"] = true;
dojo.provide("com.ibm.portal.dnd.PortletSource");

dojo.require("com.ibm.dnd.CustomManagerSource");
dojo.require("com.ibm.portal.dnd.PortletAvatar");

dojo.declare("com.ibm.portal.dnd.PortletSource", com.ibm.dnd.CustomManagerSource, {
	managerOverrides: {
		OFFSET_X: 1,
		OFFSET_Y: 1,
		makeAvatar: function(){
			return new com.ibm.portal.dnd.PortletAvatar(this);
		}
	},
	copyState: function(){
		return false;
	},
	onOverEvent: function(){
		// create ghost in empty container
		com.ibm.portal.dnd.PortletSource.superclass.onOverEvent.call(this);

		if(com.ibm.portal.dnd.PORTLET_MEDIATOR.isDragging && dojo.dnd.manager().target){
			var currentContainer = dojo.dnd.manager().target.node;	
			var portlets = dojo.query('.'+com.ibm.portal.dnd.PORTLET_MEDIATOR.portletContainerClass, currentContainer);	
			// check to see if layout container is empty
			if(portlets.length == 0){			
				com.ibm.portal.dnd.PORTLET_MEDIATOR.emptyContainer = currentContainer;
				var node = document.createElement("div");
				node.id = "ibmPortalEmptyLayoutContainerIndicator";
				dojo.addClass(node, com.ibm.portal.dnd.PORTLET_MEDIATOR.defaultTargetIndicator);
				dojo.addClass(node, "ibmPortalEmptyLayoutContainerIndicator");
				com.ibm.portal.dnd.PORTLET_MEDIATOR.emptyContainer.appendChild(node);
			}else{
			// clear the empty layout container object
				com.ibm.portal.dnd.PORTLET_MEDIATOR.emptyContainer = null;				
			}
		}
	},
	onOutEvent: function(){
		// remove ghost from empty container
		com.ibm.portal.dnd.PortletSource.superclass.onOutEvent.call(this);

		if(com.ibm.portal.dnd.PORTLET_MEDIATOR.emptyContainer){
			var node = dojo.byId("ibmPortalEmptyLayoutContainerIndicator");
			if(node)
				node.parentNode.removeChild(node);
		}
	}
});

}
