<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="com.alphablox.blox.uimodel.core.event.*,
                 com.alphablox.blox.uimodel.core.*,
                 com.alphablox.blox.uimodel.*"
%>
<%@ page import="com.alphablox.net.URLFactory"%>
<%@ taglib uri="bloxtld" prefix='blox'%>

<!--
Parameters for this page:
=========================
contents: the path to a jsp to include
title: URLencoded text to be used in the title bar and main heading of the dialog
helpurl: the path to a help file (will create a help link)
helpheight: height in pixels of the help window when launched
helpwidth: width in pixels of the help window when launched
-->

<head>
    <title><%= request.getParameter("title") %></title>
    <link href="dialog.css" rel="stylesheet" type="text/css">
    <script>
    function openHelp(url, windowName, height, width)
    {
      var top = (screen.height / 2) - (height / 2) - 100;
      var left = (screen.width / 2) - (width / 2);
      height = (height != null) ? height : 580;
      width = (width != null) ? width : 570;
      var features = "Height=" + height + ",Width=" + width + ",top=" + top + ",left=" + left + ",scrollbars=yes,resizable=yes,location=no,toolbar=yes";

      fWindow = window.open(url, windowName, features);
      setTimeout("fWindow.focus();", 200);
    }
    </script>
    <blox:header />
</head>
<body class="default">

    <table width="575" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td align="left"><img src="<%= URLFactory.getAdminURL( "/home/i/small-logo.gif")%>"></td>
            <td align="right">
                <%
                    String helpURL = request.getParameter("helpurl");
                    if (helpURL != null) {
                        out.write( "<a href=\"javascript:void(0);\" onclick=\"openHelp(\'" );
                        out.write( helpURL );
                        out.write( "\', 'helpWin', " );
                        out.write( request.getParameter("helpheight") );
                        out.write( ", " );
                        out.write( request.getParameter("helpwidth") );
                        out.write( ");return false;\" class=\"HelpMenu\">Help</a>" );
                    }
                 %>
            </td>
        </tr>
    </table>
    <p></p>
    <table width="625" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td width="475" class="Title">&nbsp;<%= request.getParameter("title") %>&nbsp;</td>
            <td width="125" class="Title" align="right" valign="middle">
            <!-- <a href="javascript:closeButton();"><img src="/AlphabloxAdmin/home/i/button-close.gif" width="60" height="20" border="0" align="middle"></a>&nbsp; -->
            </td>
        </tr>
        <tr><td class="Border" colspan="2">&nbsp;</td></tr>
        <tr><td class="BorderNoColor">&nbsp;</td></tr>
    </table>
    <table class="contents" width="625" border="0" cellpadding="0" cellspacing="0">
        <tr rowspan="11">
           <td class="dialogBackground" VALIGN="top">

            <% if (request.getParameter("contents") != null) { %>
            <jsp:include page="<%= request.getParameter(\"contents\") %>" flush="true">
                <jsp:param name="render" value="dhtml" />
            </jsp:include>
            <% } %>

            </td>
        </tr>
    </table>
</body>