<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html; charset=UTF-8" import="com.alphablox.blox.repository.*,
                                                        com.alphablox.server.request.DecodedServletRequest" %>
<%@ page import="com.alphablox.net.URLFactory"%>

<%
    DecodedServletRequest decodedRequest = new DecodedServletRequest();
    decodedRequest.initialize(request);

    String ds = decodedRequest.getParameter("ds");
%>

<%!
    public static String getTimeDifference(long start) {
        long end = System.currentTimeMillis();
        long difference = end - start;
        long minutes = difference / (1000 * 60);

        if (minutes >= 1) {
            difference -= (1000 * 60) * minutes;
        }

        long seconds = difference / 1000;

        if (seconds >= 1) {
            difference -= 1000 * seconds;
        }

        long milliseconds = difference;

        return minutes + "m " + seconds + "s " + milliseconds + "ms";
    }
%>

<html>
<head>
  <title>Test <%= ds %> Data Source Connection</title>
  <link href="<%= URLFactory.getAdminURL( "/home/home.css") %>" rel="stylesheet">
  <!-- Import the taglib -->
  <%@ taglib uri='bloxtld' prefix='blox'%>
</head>

<!-- Get an SSPM AdminBlox -->
<blox:admin id="testDSAdminBlox" />

<body>
  <table border="0">
    <tr><td class="DataSourcesMenuBorder" width="550">&nbsp;&nbsp;
	      Test <%= ds %> Data Source Connection</td></tr>
<%
  long start = System.currentTimeMillis();
  DataSource dataSource = null;

  try {
    dataSource = testDSAdminBlox.getDataSource(ds);
  }
  catch(Exception e) { %>
    <tr><td style="color:red;font-weight:bold;">Could not test data source: <%= e.getClass().getName() + ": " + e.getMessage() %></td></tr>
<%  return;
  }

  try {
    String testedUser = dataSource.testConnection(request);
  %><tr><td style="font-weight:bold;">&nbsp;&nbsp;Connection to the <%= ds %> data source was successful!</td></tr>
    <tr><td>&nbsp;&nbsp;Connected in: <%= getTimeDifference(start) %></td></tr>
    <tr><td>&nbsp;&nbsp;Connected as user: <%= testedUser %></td></tr><%
  }
  catch (Exception e) { %>
    <tr><td style="color:red;">Unable to connect: <%= e.getClass().getName() + ": " + e.getMessage() %></td></tr>
<%}
%>
  </table>

  <form name="MainForm">
    <input type="button" value="Close" style="width=120px" onClick="javascript:window.close();">
  </form>
</body>
</html>
