<%@ page import="com.alphablox.blox.AdminBlox,
                 com.alphablox.blox.repository.Server,
                 com.alphablox.printprocessor.*,
                 com.alphablox.printprocessor.local.*,
                 com.alphablox.printprocessor.message.*,
                 java.net.InetAddress"%>


<jsp:useBean id="adminBlox" class="com.alphablox.blox.AdminBlox" scope="session" />

<%!
  String toMB(long bytes) {
    return String.valueOf((bytes / 1024 / 1024) + 1);
  }
%>

<%
  try {
    String action = request.getParameter("action");
    // save the new information
    if ("save".equalsIgnoreCase(action)) {
        com.alphablox.server.Server aasServer = com.alphablox.server.Server.getServer();
        String ppServer = request.getParameter("server");
        String ppPort = request.getParameter("port");
        String ppCompression = request.getParameter("compression");
        
        aasServer.setPrintProcessorHost(ppServer);
        aasServer.setPrintProcessorPort(ppPort);
        aasServer.setPrintProcessorCompression(ppCompression);
        
        aasServer.save();
    }
    
    // always get the system information....
    Server server = adminBlox.getServer();
    int port = server.getPrintProcessorPort();
    PrintProcessor pp = com.alphablox.server.Server.getServer().getPrintProcessor();
    PrintInfoResponse pir = null;
    boolean processorAvailable = true;
    String memoryUsage = "N/A";
    
    if (pp instanceof PrintProcessorRemoteInterface) {
      try {
        ((PrintProcessorRemoteInterface)pp).testRemoteConnection();
      }
      catch (PrintProcessorException ppe) {
        processorAvailable = false;
      }
    }
    
    if (processorAvailable) {
      pir = pp.processPrintInfo();
      
      if (pp instanceof PrintProcessorRemoteInterface) {
        memoryUsage = "Free:" + toMB(pir.getFreeMemory()) + "   Total:" + toMB(pir.getTotalMemory());
      }
    }
    
%>

<html>
<head>
  <meta http-equiv="Pragma" content="No-cache"/>
</head>

<script language="JavaScript1.3">
  var cAction = "refresh";
  var cServer = "server";
  var cPort = "port";
  var cComp = "compression";
  
  function saveSettings(server, port, compression) {
    var openUrl = "controller.jsp?action=save&server=" + server + "&port=" + port + "&compression=" + compression;

    open(openUrl, '_self', true);
  }
  
  function setRefreshRate() {
    setTimeout("open('controller.jsp', '_self', true);", parent.currentMillis);
  }
  
  function reloadPage() {
    open('controller.jsp', '_self', true);
  }
  
  var parentDoc = window.parent.document;
  
<% if (processorAvailable) { %>
   parentDoc.getElementById('serverAvail').innerHTML = "Available";
   parentDoc.getElementById('serverAvail').style.color = "#006600";
<% }
   else { %>
   parentDoc.getElementById('serverAvail').innerHTML = "UnAvailable";
   parentDoc.getElementById('serverAvail').style.color = "#CC0000";
   parentDoc.getElementById('serverTime').innerHTML = "Unknown";
   parentDoc.getElementById('processingTime').innerHTML = "Unknown";
   parentDoc.getElementById('totalRequests').innerHTML = "Unknown";
   parentDoc.getElementById('failedRequests').innerHTML = "Unknown";
   parentDoc.getElementById('activeRequests').innerHTML = "Unknown";
   parentDoc.getElementById('memoryUsage').innerHTML = "Unknown";
<% }
  
  if (processorAvailable) { %>
  parentDoc.getElementById('serverTime').innerHTML = "<%= pir.getCurrentTime() %>";
  parentDoc.getElementById('processingTime').innerHTML = "Unknown";
  parentDoc.getElementById('totalRequests').innerHTML = "<%= pir.getTotalRequests() %>";
  parentDoc.getElementById('processingTime').innerHTML = "<%= pir.getTotalProcessTimeAsString() %>";
  parentDoc.getElementById('failedRequests').innerHTML = "<%= pir.getTotalFailedRequests() %>";
  parentDoc.getElementById('memoryUsage').innerHTML = "<%= memoryUsage %>";

<%   if (pir.getTotalFailedRequests() == 0) { %>
  parentDoc.getElementById('failedRequests').style.color = "#000000";
<%   }
     else { %>
  parentDoc.getElementById('failedRequests').style.color = "#CC0000";
<%   } %>
  parentDoc.getElementById('activeRequests').innerHTML = "<%= pir.getActiveRequests() %>";
<% } %>

  setRefreshRate();
</script>

<%
  }
  catch (Throwable t) {
%><script language="JavaScript1.2">alert("<%= t.getClass().getName()%>: <%= t.getMessage() %>");</script><%
  }
%>

<body>
</body>
</html>
