<%@ page import="com.alphablox.server.Server" %>
<%@ page import="com.alphablox.net.URLFactory" %>
<%
  String homeLink=URLFactory.getAdminURL(
                                            "/home");
  String docsLink=URLFactory.getServerURL(
                                 "/documentation/ic.html");
%>
<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.5 [en]C-NSCP  (WinNT; U) [Netscape]">
   <title>IBM Alphablox Info</title>
   <style>
        BODY, LI, TD { 
  		font-family: "PrimaSans BT", Verdana, sans-serif; 
		font-size: 10 pt;
  	}
	</style>
</head>
<body text="#000000" bgcolor="#FFFFFF" link="#666699" vlink="#666699" alink="#333366">
<h2><img src="logo.gif" width="131" height="27"> <br>
  &nbsp;IBM Alphablox for Linux, UNIX and Windows</h2>
  
<table BORDER=1 CELLSPACING=2 CELLPADDING=5 WIDTH="100%" >
  <tr BGCOLOR="#E9AE16"> 
    <td COLSPAN="2"><b><font color="#FFFFFF">DB2<sup></sup> Alphablox features</font></b></td>
  </tr>
  <tr VALIGN=TOP> 
    <td width="48%" rowspan="3"> <p><b>Broadening the platform</b><br>
        IBM Alphablox has added support for new platforms and globalization:</p>
      <ul>
        <li>WebSphere<sup></sup> Application Server v6.0 and later</li>
        <li>WebSphere Portal Server v5.1</li>
        <li>SAP Business Information Warehouse (SAP BW) V3.5</li>
        <li>DB2 Universal Database for z/OS V8.1 </li>
        <li>Hyperion Essbase 6.5.7 and 7.1.3; Hyperion Essbase Deployment Services 
          6.5.7 and 7.1.3</li>
        <li> Support for accessibility</li>
        <li>Additional Linux<sup></sup> platforms 
          <ul>
            <li>Redhat Enterprise Linux 4 </li>
            <li>SuSE Linux Enterprise Server 9 </li>
            <li>64-bit versions and pSeries<sup></sup></li>
          </ul>
        </li>
        <li>Additional languages supported: 
          <ul>
            <li>Arabic</li>
            <li>Czech</li>
            <li>Greek</li>
            <li>Hebrew</li>
            <li>Hungarian</li>
            <li>Italian</li>
            <li>Polish</li>
            <li>Russian</li>
          </ul>
          <blockquote> 
            <p>&nbsp;</p>
          </blockquote>
        </li>
      </ul></td>
    <td width="52%"> <p><b>Continued innovations in DHTML client</b><br>
        Built around an extensible framework, the DHTML client in IBM Alphablox
        has the following new features:</p>
      <ul>
        <li>Mozilla 1.7</li>
        <li>Firefox 1.0.4 and later</li>
        <li>Additional calendar supports in the DateChooser component for non-Gregorian 
          calendars</li>
      </ul>
      <p>&nbsp;</p></td>
  </tr>
  <tr VALIGN=TOP> 
    <td><p><b>Integration with Rational software development platform</b><br>
        The IBM Alphablox Toolkit, available for Rational<sup></sup> Application
        Developer and Rational Web Developer, allow developers to incorporate 
        IBM Alphablox tag libraries with automatic tag completion.</p>
      <p>&nbsp;</p></td>
  </tr>
  <tr VALIGN=TOP> 
    <td height="102"><strong>Single sign-on support for DB2 OLAP Server and Hyperion 
      Essbase </strong><br>
      IBM Alphablox now supports the use of Essbase single sign-on credential
      objects for accessing Hyperion Essbase and DB2 OLAP Server data sources.</td>
  </tr>
  <tr VALIGN=TOP> 
    <td><p><b>Relational Cubing Enhancements</b></p>
      <ul>
        <li>Support for ragged and unbalanced hierarchies</li>
        <li>Support for calculated members<code></code></li>
        <li>Support for default dimension members, named sets, attributes, and 
          custom member order specification</li>
        <li>Support for <code>NON EMPTY</code> keyword for suppression of missing 
          rows or columns</li>
        <li>Additional MDX functions such as <code>topcount</code>, <code>toppercent</code>, 
          <code>bottomcount</code>, <code>bottompercent</code>, <code>topsum</code> 
          and <code>bottomsum</code>.</li>
      </ul></td>
    <td width="52%"><strong>Relational reporting enhancements</strong><br>
      ReportBlox now has a new PDF engine that preserves the styles set through 
      the style sheet or the interact context menu. The new engine also gives 
      you more flexible control of the page layout, such as more precision in 
      border specification.</td>
  </tr>
  <tr VALIGN=TOP BGCOLOR="#E9AE16"> 
    <td COLSPAN="2"><b><font color="#FFFFFF">Documentation and Useful Links</font></b></td>
  </tr>
  <tr VALIGN=TOP> 
    <td colspan="2"> <p><a href="<%= docsLink %>"><b>IBM Alphablox documentation</b></a>,
        including guides for developers and administrators.</p></td>
  </tr>
  <tr valign=TOP bgcolor="#E9AE16"> 
    <td colspan="2"><b><font color="#FFFFFF">Contacting IBM&nbsp;</font></b></td>
  </tr>
  <tr valign=TOP> 
    <td><b><a href="http://www.ibm.com/software/data/db2/alphablox" target="_parent">DB2 
      Alphablox Product Home Site</a></b></td>
    <td>Technical Support: 1-800-IBM-SERV (in the U.S.)</td>
  </tr>
  <tr VALIGN=TOP BGCOLOR="#E9AE16"> 
    <td COLSPAN="2"><b><font color="#FFFFFF">Version Information </font></b></td>
  </tr>
  <tr VALIGN=TOP> 
    <td height="30" colspan="2">IBM Alphablox for Linux, UNIX and Windows,
      Version <b> <%= Server.getServer().getVersion().toString() %> </b></td>
  </tr>
</table>

</body>
</html>
