<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="com.alphablox.blox.comments.CommentSet,
                 com.alphablox.blox.comments.Comment,
                 com.alphablox.server.Server,
                 com.alphablox.resource.Messages"%>
<%@ taglib uri='bloxtld' prefix='blox'%>

<blox:bloxContext />

<%
    String context = request.getParameter("context");
    String[] commentIndexes = request.getParameterValues("commentsSelected");

    if (context == null || commentIndexes == null)
        throw new IllegalStateException(Messages.getLocalizedMessage(bloxContext.getLocales(), Messages.COMMENTS_UI_DELETE_INVALID_PARAMS, new Object[]{context, commentIndexes}));

    CommentSet commentSet = (CommentSet) session.getAttribute(context + ".Comments.currentCommentSet");
    if (commentSet == null)
        throw new IllegalStateException(Messages.getLocalizedMessage(bloxContext.getLocales(), Messages.COMMENTS_UI_NO_COMMENT_FOUND, new Object[]{"deleteComment.jsp"}));

    Comment[] comments = commentSet.getComments();
    for (int idx = 0; idx < commentIndexes.length; idx++) {
        int commentIndex = Integer.parseInt(commentIndexes[idx]);

        Comment comment = comments[commentIndex];
        commentSet.deleteComment( comment );
    }
%>