<!--
    IBM Confidential
    OCO Source Materials
    5724-L14
    (c) Copyright IBM Corp. 2007
    The source code for this program is not published or otherwise divested of its trade secrets,
    irrespective of what has been deposited with the U.S. Copyright Office.
-->

<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>

<%@ page import="com.alphablox.server.request.DecodedServletRequest" %>
<%@ page import="com.ibm.alphablox.bloxbuilder.core.ApplicationContext" %>
<%@ page import="com.ibm.alphablox.bloxbuilder.core.Report"%>
<%@ page import="com.ibm.alphablox.bloxbuilder.core.DefinitionInfo"%>

<%@ taglib uri='bloxtld' prefix='blox' %>
<%@ taglib uri='bloxbuildertld' prefix='bloxbuilder' %>

<%@ page errorPage="error.jsp" %>

<html>
<head>
    <title>Blox Builder Report Preview</title>
<blox:header />
<bloxbuilder:applicationContext />
</head>
<body>

<%
	DecodedServletRequest decodedRequest = new DecodedServletRequest();
    decodedRequest.initialize(bloxRequest);
	String reportID = decodedRequest.getParameter( "reportName" );
    String reportName = "report" + System.currentTimeMillis();

    String[] reportNames = applicationContext.getReportNames();
    for (int i = 0; i < reportNames.length; i++)
        applicationContext.destroyReport(reportNames[i]);
%>

<bloxbuilder:report id="previewReport" reportID="<%= reportID %>" reportName="<%= reportName %>" maskErrors="false" />

</body>
</html>