<!--
    IBM Confidential
    OCO Source Materials
    5724-L14
    (c) Copyright IBM Corp. 2007
    The source code for this program is not published or otherwise divested of its trade secrets,
    irrespective of what has been deposited with the U.S. Copyright Office.
-->

<%@ page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>

<%@ page import="com.alphablox.server.request.DecodedServletRequest,
                 com.ibm.alphablox.bloxbuilder.blox.BloxBuilderTraceBlox" %>
<%@ page import="com.alphablox.blox.ErrorBlox"%>

<%@ taglib uri='bloxtld' prefix='blox' %>
<%@ taglib uri='bloxbuildertld' prefix='bloxbuilder' %>

<%@ page errorPage="error.jsp" %>

<html>
<head>
    <title>Blox Builder Report Trace</title>
<blox:header />
<bloxbuilder:applicationContext />
</head>
<body>

<%
    DecodedServletRequest decodedRequest = new DecodedServletRequest();
    decodedRequest.initialize(bloxRequest);
    String reportID = decodedRequest.getParameter( "reportName" );

    String reportName = "traceReport";

    String[] reportNames = applicationContext.getReportNames();
    for (int i = 0; i < reportNames.length; i++)
        applicationContext.destroyReport(reportNames[i]);
%>

<table cellspacing="0" cellpadding="0" border="0" height="100%" width="100%">
<tr>
<td valign="top">

<%
    try {
%>
<bloxbuilder:report id="traceReport" reportName="<%= reportName %>" reportID="<%= reportID %>" maskErrors="false" />
<%
    } catch (Exception exc) {
        ErrorBlox errorBlox = (ErrorBlox) bloxContext.getBlox("errorBlox");
        if (errorBlox == null) {
            errorBlox = new ErrorBlox();
            errorBlox.init(bloxContext, "errorBlox");
        }
        errorBlox.setException(exc);
        errorBlox.write(out);
    }
%>

</td>
</tr>
<tr>
<td>

<hr/>

<bloxbuilder:trace id="traceBlox" />

</td>
</tr>
</table>

</body>
</html>
