package com.ibm.alphablox.tooling.relational.util;


/**
 * This is to generate the sql based on the different datasource.
 * Currently, SqlServer2005 and DB2 are expected.
 * @author hujianh@cn.ibm.com
 *
 */
public class DB2SQLFactory extends SQLFactory {
    
    public String getSampleString(String colName, String schemaName, String tableName){        
        StringBuffer sb = new StringBuffer(256);
        getBasicShowSql(colName, schemaName, tableName, sb);
        sb.append(" FETCH FIRST 10 ROWS ONLY"); //$NON-NLS-1$
        return sb.toString();
    }
    
    public String generateValidateSql(String sql){
        String upperSql = sql.toUpperCase();
        int fetchIdx = upperSql.lastIndexOf("FETCH");
        if( fetchIdx > 0){
            sql = sql.substring(0, fetchIdx);
        }
        sql += "  FETCH FIRST 100 ROWS ONLY";//RMBConstants.FETCH_ROWS_ONLY;
        return sql;
    }
}
