/** Licensed Materials - Property of IBM, 5724-E76 and 5724-E77, (C) Copyright IBM Corp. 2009 - All Rights reserved.  **/

if(!dojo._hasResource["com.ibm.data._NotificationHelper"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.data._NotificationHelper"] = true;
dojo.provide( "com.ibm.data._NotificationHelper" );

dojo.declare( "com.ibm.data._NotificationHelper",
			null,
			{
				/********************************/
				/**                            **/
				/**                            **/
				/** dojo.data.api.Notification **/
				/**                            **/
				/**                            **/
				/********************************/
				onDelete: function(/* Item */ deletedItem) {
					// summary: See dojo.data.api.Notification.onDelete()
					return deletedItem;
				},
		
				onNew: function(/* Item */ newItem, /* Object */ parentInfo) {
					// summary: See dojo.data.api.Notification.onNew()
					return {newItem: newItem, parentInfo: parentInfo};
				},
		
				onSet: function(/* Item */ item, /*String*/ attribute, /*Object | Array*/ oldValue, /*Object | Array*/ newValue) {
					// summary: See dojo.data.api.Notification.onSet()
					return {item: item, attribute: attribute, oldValue: oldValue, newValue: newValue};
				}
			}
);

}
