/** Licensed Materials - Property of IBM, 5724-E76 and 5724-E77, (C) Copyright IBM Corp. 2009 - All Rights reserved.  **/

if(!dojo._hasResource["com.ibm.portal.aggregation.event.SemanticTagging"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.portal.aggregation.event.SemanticTagging"] = true;
dojo.provide( "com.ibm.portal.aggregation.event.SemanticTagging" );

dojo.declare( "com.ibm.portal.aggregation.event.SemanticTagging",
			  null,
			  {
				  constructor: function () {
				  	// summary: Triggers the semantic tag service parsing process everytime the portlet
					//		markup is updated.
					
					this._portletMarkupUpdatedHandle = dojo.subscribe( "/portal/PortletMarkup/updated",
											 	this,
												function ( /*Object*/args ) {
													if ( typeof( SemTagSvc) != "undefined" && !ibmPortalConfig["disableSemanticTagging"] ) {
														ibm.portal.debug.text( "Calling semantic tag service..." );
														var element = args["newMarkup"];
														SemTagSvc.parseDom( null, element );
													}	
												} 
					);	
				  }
			  }   
);

com.ibm.portal.aggregation.event.SEMANTIC_TAG_LISTENER = new com.ibm.portal.aggregation.event.SemanticTagging();

}
